> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendrealm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Push Campaigns

> List project push campaigns. Test-only delivery records are excluded.



## OpenAPI

````yaml api-reference/openapi.json GET /push/campaigns
openapi: 3.0.1
info:
  title: Sendrealm API
  description: >-
    API for email, push, audience resources, domains, campaign drafts,
    templates, events, topics, and automations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sendrealm.com
security:
  - bearerAuth: []
paths:
  /push/campaigns:
    get:
      summary: List push campaigns
      description: List project push campaigns. Test-only delivery records are excluded.
      parameters:
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/After'
        - name: app_id
          in: query
          schema:
            type: string
        - name: environment
          in: query
          schema:
            type: string
            enum:
              - production
              - development
        - name: status
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Push campaigns returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PushCampaignsListResponse'
components:
  parameters:
    Limit:
      name: limit
      in: query
      description: Maximum number of records to return. Defaults to 20.
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 20
    After:
      name: after
      in: query
      description: Opaque cursor from the previous page's metadata.next value.
      schema:
        type: string
  schemas:
    PushCampaignsListResponse:
      type: object
      required:
        - status
        - data
        - metadata
      properties:
        status:
          type: integer
          description: HTTP response status code
        data:
          type: array
          items:
            $ref: '#/components/schemas/PushCampaign'
        metadata:
          $ref: '#/components/schemas/PaginationMetadata'
    PushCampaign:
      type: object
      required:
        - id
        - app_id
        - app_name
        - name
        - status
        - channel
        - targeting
        - mode
        - environment
        - messages
        - buttons
        - platforms
        - audience
        - template_version_id
        - android_config
        - live_activity_config
        - is_editable
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        app_id:
          type: string
          nullable: true
        app_name:
          type: string
          nullable: true
        name:
          type: string
        status:
          type: string
        channel:
          type: string
          enum:
            - push
        targeting:
          $ref: '#/components/schemas/JsonObject'
        mode:
          type: string
        environment:
          type: string
        messages:
          type: array
          items:
            $ref: '#/components/schemas/PushCampaignMessage'
        buttons:
          type: array
          items:
            $ref: '#/components/schemas/PushActionButton'
        platforms:
          type: object
          required:
            - android
            - ios
            - web
          properties:
            android:
              type: boolean
            ios:
              type: boolean
            web:
              type: boolean
        audience:
          type: object
          required:
            - type
            - include_audience_ids
            - exclude_audience_ids
          properties:
            type:
              type: string
            include_audience_ids:
              type: array
              items:
                type: string
                format: uuid
            exclude_audience_ids:
              type: array
              items:
                type: string
                format: uuid
        template_version_id:
          type: string
          format: uuid
          nullable: true
        android_config:
          $ref: '#/components/schemas/JsonObject'
        live_activity_config:
          type: object
          nullable: true
          allOf:
            - $ref: '#/components/schemas/JsonObject'
        is_editable:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    PaginationMetadata:
      type: object
      required:
        - total
        - items
        - limit
        - after
        - next
        - has_more
      properties:
        total:
          type: integer
        items:
          type: integer
        limit:
          type: integer
        after:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
        has_more:
          type: boolean
    JsonObject:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/JsonValue'
    PushCampaignMessage:
      type: object
      required:
        - code
        - label
        - title
        - body
        - image_url
        - launch_url
      properties:
        code:
          type: string
        label:
          type: string
        title:
          type: string
        body:
          type: string
        image_url:
          type: string
          format: uri
          nullable: true
        launch_url:
          type: string
          nullable: true
    PushActionButton:
      type: object
      required:
        - id
      additionalProperties: false
      anyOf:
        - type: object
          required:
            - text
        - type: object
          required:
            - title
      properties:
        id:
          type: string
        text:
          type: string
        title:
          type: string
          description: Deprecated alias for text.
        icon:
          type: string
        launch_url:
          type: string
          maxLength: 2048
    JsonValue:
      oneOf:
        - type: string
          nullable: true
        - type: number
        - type: boolean
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/JsonValue'
        - type: array
          items:
            $ref: '#/components/schemas/JsonValue'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````